
import java.awt.BorderLayout;
import java.awt.Graphics;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import javax.swing.JLabel;
import javax.swing.JFrame;

public class MyMouseAdpExFrame extends JFrame {
	   private String details; // String representing 
	   private JLabel statusBar; // JLabel that appears at bottom of window

	   // constructor sets title bar String and register mouse listener
	   public MyMouseAdpExFrame()
	   {
	      super( "Mouse clicks and buttons demonstration" );

	      statusBar = new JLabel( "Click the mouse" );
	      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	      
	      add( statusBar, BorderLayout.SOUTH );
	      addMouseListener( new MouseClickHandler() ); // add handler
	   } // end MouseDetailsFrame constructor

	   // inner class to handle mouse events
	   private class MouseClickHandler extends MouseAdapter 
	   {
	      // handle mouse click event and determine which button was pressed
	      public void mouseClicked( MouseEvent event )
	      {
	         int xPos = event.getX(); // get x position of mouse
	         int yPos = event.getY(); // get y position of mouse

	         details = String.format( "Clicked %d time(s)", 
	            event.getClickCount() );  // need to click at the exactly same location fast enough to increase the counter!!!
	      
	         if ( event.isMetaDown() ) // right mouse button   
	            details += " with right mouse button at [" + xPos + ", " + yPos + "].";
	         else if ( event.isAltDown() ) // middle mouse button
	            details += " with center mouse button at [" + xPos + ", " + yPos + "].";
	         else // left mouse button                       
	            details += " with left mouse button at [" + xPos + ", " + yPos + "].";

	         statusBar.setText( details ); // display message in statusBar
	      } // end method mouseClicked
	   } // end private inner class MouseClickHandler
}

/**************************************************************************
 * (C) Copyright 1992-2005 by Deitel & Associates, Inc. and               *
 * Pearson Education, Inc. All Rights Reserved.                           *
 *                                                                        *
 Modified by Guoning Chen                                                 *
 *************************************************************************/